'use strict'
const co = require('co');
const prompt = require('co-prompt');
const config = require('../templates');
const chalk = require('chalk');
const fs = require('fs-extra');

module.exports = () => {
 	co(function *() {
  	let tplName = yield prompt('模板名称: ');
    // let traget = yield prompt('目标路径（绝对路径）:');

		if (!config.tpl[tplName]) {
    	console.log(chalk.red('\n × 找不到该模板!'));
    	process.exit();
    }

    fs.copy(__dirname + '/../templates/' + tplName, './' + tplName, function(err) {
      if (err) return console.error(err);
      console.log(chalk.green('\n √ 完成!'));
      process.exit();
    });
  })
}