'use strict'
const co = require('co');
const prompt = require('co-prompt');
const config = require('../templates');
const chalk = require('chalk');
const fs = require('fs-extra');

module.exports = () => {
 	co(function *() {
  	let tplName = yield prompt('模板名称: ');

  	if (config.tpl[tplName]) {
      config.tpl[tplName] = undefined;
    } else {
      console.log(chalk.red('模板不存在!'));
      process.exit();
    }
   
    fs.writeJson(__dirname + '/../templates.json', config, function(err) {
      if (err) console.log(err);
      fs.remove(__dirname + '/../templates/' + tplName, function(err) {
        if (err) console.error(err)
        console.log(chalk.green(tplName + '模板删除成功!'));
        process.exit();
      });
    })
  })
}